Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21448

Description

Hi!

I'm on win 7sp1 x64, OSGeo4W64 - qgis-dev-2.11.0-72. In some situations when I use "Node tool" and try to move selected vertex it just

add new vertex, you can see what I mean on film:

https://www.dropbox.com/s/6tiwedihce3teoc/clip.mp4?dl=0

It didn't happen in qgis-dev-2.11.0-63, all later versions work in that bad way

History

#1 - 2015-09-22 10:49 AM - Piotr Kania

mp4 video file has good resolution - it's better to download it and watch on computer than through dropbox player

#2 - 2015-09-23 05:03 AM - Piotr Kania

- Status changed from Open to Closed

Thanks - in qgis-dev-2.11.0-73 works,

thanks for your work

#3 - 2015-09-23 05:12 AM - Piotr Kania

- Status changed from Closed to Reopened

Hi - in qgis-dev-2.11.0-73 everything is ok if I edit linestring layer, problem still exists during editing multipolygon layer

#4 - 2015-09-24 02:26 PM - Jürgen Fischer

Piotr Kania wrote:

Hi - in qgis-dev-2.11.0-73 everything is ok if I edit linestring layer, problem still exists during editing multipolygon layer

BTW please quote the git SHA (as shown in the window title and as code version in the about box in master/qgis-dev) instead of the package version (ie.
https://www.dropbox.com/s/6tiwedihce3teoc/clip.mp4?dl=0


commit:16d7a06 instead of 2.11.0-73).  73 is just a running number of the osgeo4w packages.  Those don't have a obvious relation to commits and might

not even be the same between 32bit and 64bit osgeo4w builds of the same state/commit of master.

#5 - 2015-09-25 01:34 AM - Piotr Kania

Sorry - I didn't know that, the last qgis version 2.11.0-Master in which "Node tool" works great is - QGIS code revision - commit:f3c7d85, it was released 11

sept. 2015, all versions later have worse "working mode" of "Node tool"

#6 - 2015-09-27 09:51 AM - Saber Razmjooei

- Status changed from Reopened to Feedback

Works fine in commit:935dca0 for me.

#7 - 2015-10-12 10:26 AM - Saber Razmjooei

- Resolution set to worksforme

- Status changed from Feedback to Closed

Closed due to lack of response. All works fine for me.
